LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBError Class Reference

`#include <SBError.h>`

## Public Member Functions

| SBError ()
| SBError (const lldb::SBError &rhs)
| ~SBError ()
const SBError & | operator= (const lldb::SBError &rhs)
const char * | GetCString () const
void | Clear ()
bool | Fail () const
bool | Success () const
uint32_t | GetError () const
lldb::ErrorType | GetType () const
void | SetError (uint32_t err, lldb::ErrorType type)
void | SetErrorToErrno ()
void | SetErrorToGenericError ()
void | SetErrorString (const char *err_str)
int | SetErrorStringWithFormat (const char *format,...) __attribute__((format(printf
int bool | IsValid () const
bool | GetDescription (lldb::SBStream &description)

## Protected Member Functions

lldb_private::Error * | get ()
lldb_private::Error * | operator-> ()
const lldb_private::Error & | operator* () const
lldb_private::Error & | ref ()
void | SetError (const lldb_private::Error &lldb_error)

## Friends

class | SBCommandReturnObject
class | SBData
class | SBDebugger
class | SBCommunication
class | SBHostOS
class | SBInputReader
class | SBProcess
class | SBThread
class | SBTarget
class | SBValue
class | SBWatchpoint

## Detailed Description

Definition at line 17 of file SBError.h.

## Constructor & Destructor Documentation

lldb::SBError::SBError | ( |  | ) |

lldb::SBError::SBError | ( | const lldb::SBError & | rhs | ) |

lldb::SBError::~SBError | ( |  | ) |

## Member Function Documentation

void lldb::SBError::Clear | ( |  | ) |

bool lldb::SBError::Fail | ( |  | ) | const

lldb_private::Error* lldb::SBError::get | ( |  | ) |

protected

const char* lldb::SBError::GetCString | ( |  | ) | const

bool lldb::SBError::GetDescription | ( | lldb::SBStream & | description | ) |

uint32_t lldb::SBError::GetError | ( |  | ) | const

lldb::ErrorType lldb::SBError::GetType | ( |  | ) | const

int bool lldb::SBError::IsValid | ( |  | ) | const

const lldb_private::Error& lldb::SBError::operator* | ( |  | ) | const

protected

lldb_private::Error* lldb::SBError::operator-> | ( |  | ) |

protected

const SBError& lldb::SBError::operator= | ( | const lldb::SBError & | rhs | ) |

lldb_private::Error& lldb::SBError::ref | ( |  | ) |

protected

void lldb::SBError::SetError | ( | uint32_t | err,
|  | lldb::ErrorType | type
| ) |  |

void lldb::SBError::SetError | ( | const lldb_private::Error & | lldb_error | ) |

protected

void lldb::SBError::SetErrorString | ( | const char * | err_str | ) |

int lldb::SBError::SetErrorStringWithFormat | ( | const char * | format,
|  |  | ...
| ) |  |

void lldb::SBError::SetErrorToErrno | ( |  | ) |

void lldb::SBError::SetErrorToGenericError | ( |  | ) |

bool lldb::SBError::Success | ( |  | ) | const

## Friends And Related Function Documentation

friend class SBCommandReturnObject

friend

Definition at line 69 of file SBError.h.

friend class SBCommunication

friend

Definition at line 72 of file SBError.h.

friend class SBData

friend

Definition at line 70 of file SBError.h.

friend class SBDebugger

friend

Definition at line 71 of file SBError.h.

friend class SBHostOS

friend

Definition at line 73 of file SBError.h.

friend class SBInputReader

friend

Definition at line 74 of file SBError.h.

friend class SBProcess

friend

Definition at line 75 of file SBError.h.

friend class SBTarget

friend

Definition at line 77 of file SBError.h.

friend class SBThread

friend

Definition at line 76 of file SBError.h.

friend class SBValue

friend

Definition at line 78 of file SBError.h.

friend class SBWatchpoint

friend

Definition at line 79 of file SBError.h.

The documentation for this class was generated from the following file:

- SBError.h